<?php

define('_IN_JOHNCMS', 1);
require_once ("../incfiles/core.php");
$textl = 'Фан-клуб';
require_once ("../incfiles/head.php");

$komm_id = intval($_GET['komm_id']);
$req = mysql_query("SELECT * FROM `fanclub_komm` WHERE `id`='" . $komm_id .
    "' LIMIT 1");
$res = mysql_fetch_assoc($req);
if ($res['user_id'] != $user_id) {
    echo 'Siz boshqalarning fikrlarini o\'chira olmaysiz!';
    require_once ('../incfiles/end.php');
    exit;
}
if (isset($_POST['submit'])) {
    // Принимаем данные
    $komm = functions::check(trim($_POST['komm']));
    // Проверяем на ошибки
    if (empty($komm)) {
        echo functions::display_error('Siz fikr qoldirmagansiz!');
        require_once ('../incfiles/end.php');
        exit;
    }

    mysql_query("UPDATE `fanclub_komm` SET
`komm`='" . $komm . "'
WHERE
`id`='" . $komm_id . "'
;");
    echo '<div class="gmenu">O\'zgartirildi!</div>';
    header('Location: titul_club.php?id=' . $res['cid'] . '');

    echo '<a href="titul_club.php?id=' . $id . '">Fikrlarga</a>';
} else {
    echo '<div class="gmenu">O\'zgartirish</div>';
    echo '<div class="gmenu">';
    echo '<form action="komm_edit.php?komm_id=' . $komm_id . '" method="post">';
    echo 'Fikr:<br/><textarea rows="3" name="komm">' . $res['komm'] .
        '</textarea><br/>';
    echo "<input type='submit' name='submit' value='O\'zgartirish'/></form><br/>";
    echo '</div>';
}

require_once ("../incfiles/end.php");
?>
